commit:     18e2732b0f2dc81398967c6014063712d1bb1624
Author:     Christian Tietz <christian.tietz <AT> mailbox <DOT> org>
AuthorDate: Thu Nov 24 22:42:37 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sun Nov 27 16:46:56 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=18e2732b

app-i18n/ibus-anthy: version bump to 1.5.9.

Package-Manager: portage-2.3.0
Closes: https://github.com/gentoo/gentoo/pull/2910

Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 app-i18n/ibus-anthy/Manifest                |  1 +
 app-i18n/ibus-anthy/ibus-anthy-1.5.9.ebuild | 53 +++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/app-i18n/ibus-anthy/Manifest b/app-i18n/ibus-anthy/Manifest
index 1e90e85..65bd6f1 100644
--- a/app-i18n/ibus-anthy/Manifest
+++ b/app-i18n/ibus-anthy/Manifest
@@ -1,2 +1,3 @@
 DIST anthy.i 3170 SHA256 
3615639f5cd9bf2adcbc2bac8d3ae968646df1d9d2ba987d80442d5ad99ecdf9 SHA512 
400d67c2f0ffbdb3eab241646922d549ec4a42ae5b33714a91b864f4b5dfdf0d9a0d28cb6dcdffa55eb9633651ceae034bb547d7a5c41d9b8d352e955773e069
 WHIRLPOOL 
9be409df613530658c68bc7491e1dd258f5f1ef1d09895a3557a9e63c3ced5083c1ecd9e274536c9afbc98031c353c05c73304bb4354aaf8e21a1c15de39b8b6
 DIST ibus-anthy-1.5.4.tar.gz 592595 SHA256 
4c0a8b88a2c547e72173a7d682d82797f6c65fe712abe5f3b89495d4eec7b031 SHA512 
8478e9ea14472d0153cc7a35feae4edea791476dc98cfc266b598f915376d267bd5db48ea0a676209d7a6fa680628116a30fec59afaf696477cfaa14082aad8d
 WHIRLPOOL 
f4aec300dc5cff62f81a3ae64ac2d46768e3fbaa579e14abac8bd87e0801155e8258f6f3d66d7015122e929cd2e0f48183aeb37245b3046afa3d80b8ce42d58c
+DIST ibus-anthy-1.5.9.tar.gz 765672 SHA256 
ddf0c52ef769c79cf04ceea8860b4bec54d681b7537db39730e6d67c06721af9 SHA512 
2f57db784ddbd4ea57afba245dc532fe4ee8c9fea5fc7df9b3ca26600816ef4c0626b4ebdbbd976826c391890216af587863707caa26c3926a6278cc6b720ef6
 WHIRLPOOL 
990b15bad9ed2089f7ee6a4b807dabf9001f184a935aeec40ce12f2fa0b9449c55b087444873684b7be2c41ef13f0faa5035913e458707c716df89a7762f2075

diff --git a/app-i18n/ibus-anthy/ibus-anthy-1.5.9.ebuild 
b/app-i18n/ibus-anthy/ibus-anthy-1.5.9.ebuild
new file mode 100644
index 00000000..f010cb7
--- /dev/null
+++ b/app-i18n/ibus-anthy/ibus-anthy-1.5.9.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit gnome2-utils python-single-r1
+
+DESCRIPTION="Japanese input method Anthy IMEngine for IBus Framework"
+HOMEPAGE="https://github.com/ibus/ibus/wiki";
+SRC_URI="https://github.com/ibus/ibus-anthy/releases/download/${PV}/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="nls"
+
+RDEPEND="${PYTHON_DEPS}
+       app-i18n/anthy
+       app-i18n/ibus[introspection]
+       nls? ( virtual/libintl:0= )"
+
+DEPEND="${RDEPEND}
+       dev-libs/gobject-introspection
+       dev-util/intltool
+       virtual/pkgconfig
+       nls? ( sys-devel/gettext )"
+
+src_configure() {
+       econf \
+               --enable-private-png \
+               $(use_enable nls)
+}
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -type f -delete || die
+}
+
+pkg_preinst() {
+       gnome2_icon_savelist
+}
+
+pkg_postinst() {
+       elog "app-dicts/kasumi is not required but probably useful for you."
+       gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+}

Reply via email to